For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DocumentationAPI ReferenceChangelog
DocumentationAPI ReferenceChangelog
  • API Reference
      • POSTRequest Agent Auth Code
      • POSTConfirm Agent Auth Code
      • POSTCreate an Agent Research Object
      • GETGet an Agent Research Object
      • GETGet Agent Research Results
      • GETGet a Single Agent Research Result
      • POSTCreate an Agent Research Update
      • POSTCreate an Agent Research Chat Message
      • GETGet an Agent Research Chat Message
      • GETStream an Agent Research Chat Message
      • POSTUpload an Agent File
      • GETGet Agent Balance
      • POSTCreate Agent Top-Up Checkout Session
API ReferenceAgent

Create Agent Top-Up Checkout Session

POST
https://api.caesar.xyz/agents/topup
POST
/agents/topup
$curl -X POST https://api.caesar.xyz/agents/topup \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "amount_cents": 1500
>}'
1{
2 "checkout_url": "https://checkout.stripe.com/pay/cs_test_a1b2c3d4e5f6g7h8i9j0klmnopqrstuv"
3}

Create a Stripe Checkout session URL for a one-time credit top-up. Redirects are managed by the API and always return to the environment-specific /payment/success page.

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
amount_centsintegerRequired>=1000

Top-up amount in USD cents. Minimum is 1000 ($10).

Response

Stripe Checkout session URL for completing the top-up.

checkout_urlstring

Stripe-hosted checkout URL for completing the top-up.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error